> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prequel.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a recipient's source credentials

> Update existing source credentials for a recipient.



## OpenAPI

````yaml /generated/openapi-generated-2023-12-01.json patch /recipient-source-credentials/{recipient_source_credential_id}
openapi: 3.1.0
info:
  title: Prequel Data Export
  description: Data Export API spec
  version: '2023-12-01'
servers:
  - url: https://api.prequel.co
    description: Cloud-hosted server (US)
  - url: https://eu-api.prequel.co
    description: Cloud-hosted server (EU)
  - url: https://{custom_host}/
    description: Cloud-prem or shared-cloud server
security:
  - ApiKeyAuth: []
paths:
  /recipient-source-credentials/{recipient_source_credential_id}:
    patch:
      tags:
        - Recipient Source Credentials
      summary: Update a recipient's source credentials
      description: Update existing source credentials for a recipient.
      operationId: update-recipient-source-credential
      parameters:
        - name: recipient_source_credential_id
          in: path
          required: true
          description: Recipient Source Credential ID.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRecipientSourceCredentialRequest'
              $schema: https://json-schema.org/draft/2020-12/schema
              $id: >-
                https://github.com/prequel-co/datafeed/internal/export/api/models/update-recipient-source-credential-request
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/GetRecipientSourceCredentialResponse'
                    $schema: https://json-schema.org/draft/2020-12/schema
                    $id: >-
                      https://github.com/prequel-co/datafeed/internal/export/api/models/get-recipient-source-credential-response
                  message:
                    type: string
                type: object
                required:
                  - status
                  - data
                  - message
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UpdateRecipientSourceCredentialRequest:
      properties:
        recipient_source_credential:
          $ref: '#/components/schemas/UpdateRecipientSourceCredentialOptions'
      additionalProperties: false
      type: object
      required:
        - recipient_source_credential
    GetRecipientSourceCredentialResponse:
      properties:
        recipient_source_credential:
          $ref: '#/components/schemas/RecipientSourceCredentialResource'
      additionalProperties: false
      type: object
      required:
        - recipient_source_credential
    UpdateRecipientSourceCredentialOptions:
      properties:
        recipient_id:
          type: string
          format: uuid
        source_id:
          type: string
          format: uuid
        username:
          type: string
          description: Username used by recipient to access source. Used for RBAC.
        password:
          type: string
          description: Password used by recipient to access source. Used for RBAC.
      additionalProperties: false
      type: object
    RecipientSourceCredentialResource:
      properties:
        id:
          type: string
        recipient_id:
          type: string
        source_id:
          type: string
        username:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      additionalProperties: false
      type: object
      required:
        - id
        - recipient_id
        - source_id
        - username
        - created_at
        - updated_at
    ErrorResponse:
      properties:
        status:
          type: string
          const: error
        message:
          type: string
        data:
          type: 'null'
      type: object
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````